.case-box {
  /* margin-bottom: calc(100vw * 100 / 1920); */
}
.case-box.case-home {
  padding-bottom: 0;
  margin-bottom: 0;
}
.case {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.case-item {
  width: calc(100vw * 507 / 1920);
  height: calc(100vw * 560 / 1920);
  border-radius: 40px;
  border: 1px solid #495653;
  background: #171919;
  box-sizing: border-box;
  margin-top: calc(100vw * 40 / 1920);
  cursor: pointer;
  /* 添加过渡效果 */
  transition: all 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

/* 鼠标悬停向上偏移 4px */
.case-item:hover {
  transform: translateY(calc(100vw * -20 / 1920));
  /* box-shadow: 0 12px 30px rgba(0, 100, 181, 0.2); */
}
.case-item-content {
  width: calc(100vw * 411 / 1920);
  height: calc(100vw * 411 / 1920);
  position: relative;
  margin: calc(100vw * 36 / 1920) auto;
  border-radius: calc(100vw * 30 / 1920);
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4) 0%, rgba(0, 0, 0, 0.4) 100%);
  border-radius: calc(100vw * 12 / 1920);
  overflow: hidden;
}
.case-item-content img {
  display: block;
  width: 100%;
  height: 100%;
}
.case-item-info {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  margin: auto;
  color: #fff;
  height: fit-content;
  box-sizing: border-box;
  padding: 0 calc(100vw * 40 / 1920);
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}
.case-item-title {
  line-height: calc(100vw * 34 / 1920);
  color: #fff;
  text-align: center;
  font-size: calc(100vw * 30 / 1920);
  font-style: normal;
  font-weight: 500;
  letter-spacing: calc(100vw * 3 / 1920);
}
.case-item-info p {
  width: calc(100vw * 18 / 1920);
  height: calc(100vw * 2 / 1920);
  border-radius: calc(100vw * 2 / 1920);
  background: #fcfbff;
  margin: calc(100vw * 18 / 1920) auto calc(100vw * 30 / 1920);
  padding: 0 calc(100vw * 10 / 1920);
}
.case-item-desc {
  color: #fff;
  font-size: calc(100vw * 14 / 1920);
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: 1.4px;
  text-align: left;
}

.case-item-btn {
  color: #fff;
  width: calc(100vw * 160 / 1920);
  text-align: center;
  font-size: calc(100vw * 14 / 1920);
  box-sizing: border-box;
  height: calc(100vw * 42 / 1920);
  border-radius: calc(100vw * 30 / 1920);
  margin: calc(100vw * 29 / 1920) auto 0;
  cursor: pointer;
  position: relative;
  z-index: 0;
}
.case-item-btn div {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  z-index: 1;
  width: calc(100% - 2px);
  height: calc(100% - 2px);
  display: flex;
  align-items: center;
  justify-content: center;
  background: #262929;
  border-radius: calc(100vw * 30 / 1920);
}
.case-item-btn:hover div {
  background: #171919;
}
.case-item-btn:hover::before {
  content: '';
  position: absolute;
  z-index: -1; /* 保持在父元素下方 */
  top: 0px;
  left: 0x;
  right: 0px;
  bottom: 0px;
  background: linear-gradient(90deg, #0064b5 0%, #00b5d4 50%, #00be8b 100%);
  border-radius: calc(100vw * 30 / 1920);
  width: 100%;
  height: 100%;
}
